Bug 80629 - New connection dialog must allow to pass some additional parameters to it
New connection dialog must allow to pass some additional parameters to it
Status: RESOLVED FIXED
Product: db
Classification: Unclassified
Component: Code
5.x
All All
: P2 (vote)
: 5.x
Assigned To: Andrei Badea
issues@db
: API, API_REVIEW_FAST
Depends on:
Blocks: 79501
  Show dependency treegraph
 
Reported: 2006-07-19 15:54 UTC by Libor Kotouc
Modified: 2006-07-28 16:02 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Proposed change (13.25 KB, text/plain)
2006-07-20 16:23 UTC, Andrei Badea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Libor Kotouc 2006-07-19 15:54:38 UTC
Issue 79501 needs to show the 'New DB connection' dialog with some data prefilled.
The current API allows to pass the JDBC driver and connection URL.
The change requires to add the user name and password.
Comment 1 Andrei Badea 2006-07-20 16:23:58 UTC
Created attachment 32056 [details]
Proposed change
Comment 2 Andrei Badea 2006-07-20 16:29:28 UTC
I would like to ask for a review of the attached API change. It adds a
ConnectionManager.showAddConnectionDialog() method which also takes a database
user and password apart from the JDBCDriver and database URL, which were taken
by the existing methods. It also adds showAddConnectionDialogFromEventThread()
methods similar to the existing showAddConnectionDialog() methods, but which
return the added connection and must be called from the event dispatching thread.
Comment 3 Andrei Badea 2006-07-27 16:18:08 UTC
Since there were no comments, I will integrate tomorrow. Thank you for the review.
Comment 4 Andrei Badea 2006-07-28 16:02:03 UTC
Fixed.

Checking in apichanges.xml;
/cvs/db/apichanges.xml,v  <--  apichanges.xml
new revision: 1.1.4.2.2.4; previous revision: 1.1.4.2.2.3
done
Checking in arch.xml;
/cvs/db/arch.xml,v  <--  arch.xml
new revision: 1.3.2.2.2.6; previous revision: 1.3.2.2.2.5
done
Checking in nbproject/project.properties;
/cvs/db/nbproject/project.properties,v  <--  project.properties
new revision: 1.8.2.3.2.7; previous revision: 1.8.2.3.2.6
done
Checking in src/org/netbeans/api/db/explorer/ConnectionManager.java;
/cvs/db/src/org/netbeans/api/db/explorer/ConnectionManager.java,v  <-- 
ConnectionManager.java
new revision: 1.2.2.1.2.4; previous revision: 1.2.2.1.2.3
done
Checking in
src/org/netbeans/modules/db/explorer/actions/ConnectUsingDriverAction.java;
/cvs/db/src/org/netbeans/modules/db/explorer/actions/ConnectUsingDriverAction.java,v
 <--  ConnectUsingDriverAction.javanew revision: 1.28.2.1.2.4; previous
revision: 1.28.2.1.2.3
done
Checking in src/org/netbeans/modules/db/explorer/dlg/NewConnectionPanel.java;
/cvs/db/src/org/netbeans/modules/db/explorer/dlg/NewConnectionPanel.java,v  <--
 NewConnectionPanel.java
new revision: 1.14.2.1.2.4; previous revision: 1.14.2.1.2.3
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo